# Uses of Interface
java.lang.classfile.constantpool.ClassEntry

Packages that use ClassEntry
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

## Uses of ClassEntry in java.lang.classfile

Methods in java.lang.classfile that return ClassEntry
Modifier and Type
Method
Description
`ClassEntry`
Superclass.`superclassEntry()`
Returns the superclass.
`ClassEntry`
ClassModel.`thisClass()`
Returns the constant pool entry describing the name of this class.
`ClassEntry`
ClassReader.`thisClassEntry()`
Returns the constant pool entry describing the name of class.
Methods in java.lang.classfile that return types with arguments of type ClassEntry
Modifier and Type
Method
Description
`List<ClassEntry>`
ClassModel.`interfaces()`
Returns the interfaces implemented by this class.
`List<ClassEntry>`
Interfaces.`interfaces()`
Returns the interfaces of this class, may be empty.
`Optional<ClassEntry>`
ClassModel.`superclass()`
Returns the superclass of this class, if there is one.
`Optional<ClassEntry>`
ClassReader.`superclassEntry()`
Returns the constant pool entry describing the name of the superclass, if any.
Methods in java.lang.classfile with parameters of type ClassEntry
Modifier and Type
Method
Description
`default CodeBuilder`
CodeBuilder.`anewarray(ClassEntry classEntry)`
Generates an instruction to create a new array of `reference`.
`byte[]`
ClassFile.`build(ClassEntry thisClassEntry, ConstantPoolBuilder constantPool, Consumer<? super ClassBuilder> handler)`
Builds a `class` file into a byte array using the provided constant pool builder.
`default void`
ClassFile.`buildTo(Path path, ClassEntry thisClassEntry, ConstantPoolBuilder constantPool, Consumer<? super ClassBuilder> handler)`
Builds a `class` file into a file in a file system using the provided constant pool builder.
`default CodeBuilder`
CodeBuilder.`checkcast(ClassEntry type)`
Generates an instruction to check whether an object is of the given type, throwing a `ClassCastException` if the check fails.
`default CodeBuilder`
CodeBuilder.`exceptionCatch(Label start, Label end, Label handler, ClassEntry catchType)`
Declares an exception table entry.
`default CodeBuilder`
CodeBuilder.`instanceOf(ClassEntry target)`
Generates an instruction to determine if an object is of the given type, producing a `boolean` result on the operand stack.
`default CodeBuilder`
CodeBuilder.`multianewarray(ClassEntry array, int dims)`
Generates an instruction to create a new multidimensional array.
`default CodeBuilder`
CodeBuilder.`new_(ClassEntry clazz)`
Generates an instruction to create a new object.
`static Interfaces`
Interfaces.`of(ClassEntry... interfaces)`
Returns an Interfaces element.
`static Superclass`
Superclass.`of(ClassEntry superclassEntry)`
Returns a Superclass element.
`byte[]`
ClassFile.`transformClass(ClassModel model, ClassEntry newClassName, ClassTransform transform)`
Transform one `class` file into a new `class` file according to a `ClassTransform`.
`default ClassBuilder`
ClassBuilder.`withInterfaces(ClassEntry... interfaces)`
Sets the interfaces of this class.
`default ClassBuilder`
ClassBuilder.`withSuperclass(ClassEntry superclassEntry)`
Sets the superclass of this class.
Method parameters in java.lang.classfile with type arguments of type ClassEntry
Modifier and Type
Method
Description
`default CodeBuilder`
CodeBuilder.`exceptionCatch(Label start, Label end, Label handler, Optional<ClassEntry> catchType)`
Declares an exception table entry.
`static Interfaces`
Interfaces.`of(List<ClassEntry> interfaces)`
Returns an Interfaces element.
`default ClassBuilder`
ClassBuilder.`withInterfaces(List<ClassEntry> interfaces)`
Sets the interfaces of this class.

## Uses of ClassEntry in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return ClassEntry
Modifier and Type
Method
Description
`ClassEntry`
StackMapFrameInfo.ObjectVerificationTypeInfo.`className()`
Returns the class of the object.
`ClassEntry`
EnclosingMethodAttribute.`enclosingClass()`
Returns the class that encloses the declaration of the current class.
`ClassEntry`
InnerClassInfo.`innerClass()`
Returns the nested class described by this entry.
`ClassEntry`
ModuleMainClassAttribute.`mainClass()`
Returns main class for this module.
`ClassEntry`
NestHostAttribute.`nestHost()`
Returns the host class of the nest to which this class belongs.
`ClassEntry`
ModuleProvideInfo.`provides()`
Returns the service interface representing the provided service.
Methods in java.lang.classfile.attribute that return types with arguments of type ClassEntry
Modifier and Type
Method
Description
`List<ClassEntry>`
ExceptionsAttribute.`exceptions()`
Returns the exceptions declared to be thrown by this method.
`List<ClassEntry>`
NestMembersAttribute.`nestMembers()`
Returns the classes belonging to the nest hosted by this class.
`Optional<ClassEntry>`
InnerClassInfo.`outerClass()`
Returns the class or interface of which this class is a member, if it is a member of a class or interface.
`List<ClassEntry>`
PermittedSubclassesAttribute.`permittedSubclasses()`
Returns the list of permitted subclasses or subinterfaces.
`List<ClassEntry>`
ModuleProvideInfo.`providesWith()`
Returns the classes providing the service implementation.
`List<ClassEntry>`
ModuleAttribute.`uses()`
Returns the services used by this module.
Methods in java.lang.classfile.attribute with parameters of type ClassEntry
Modifier and Type
Method
Description
`static EnclosingMethodAttribute`
EnclosingMethodAttribute.`of(ClassEntry className, Optional<NameAndTypeEntry> method)`
Returns an `EnclosingMethod` attribute.
`static ExceptionsAttribute`
ExceptionsAttribute.`of(ClassEntry... exceptions)`
Returns an `Exceptions` attribute.
`static InnerClassInfo`
InnerClassInfo.`of(ClassEntry innerClass, Optional<ClassEntry> outerClass, Optional<Utf8Entry> innerName, int flags)`
Returns a nested class description.
`static ModuleMainClassAttribute`
ModuleMainClassAttribute.`of(ClassEntry mainClass)`
Returns a `ModuleMainClass` attribute.
`static ModuleProvideInfo`
ModuleProvideInfo.`of(ClassEntry provides, ClassEntry... providesWith)`
Returns a service provision description.
`static ModuleProvideInfo`
ModuleProvideInfo.`of(ClassEntry provides, List<ClassEntry> providesWith)`
Returns a service provision description.
`static NestHostAttribute`
NestHostAttribute.`of(ClassEntry nestHost)`
Returns a `NestHost` attribute.
`static NestMembersAttribute`
NestMembersAttribute.`of(ClassEntry... nestMembers)`
Returns a `NestMembers` attribute.
`static PermittedSubclassesAttribute`
PermittedSubclassesAttribute.`of(ClassEntry... permittedSubclasses)`
Returns a `PermittedSubclasses` attribute.
`static StackMapFrameInfo.ObjectVerificationTypeInfo`
StackMapFrameInfo.ObjectVerificationTypeInfo.`of(ClassEntry className)`
Returns a new object verification type info.
`ModuleAttribute.ModuleAttributeBuilder`
ModuleAttribute.ModuleAttributeBuilder.`uses(ClassEntry uses)`
Declares use of a service.
Method parameters in java.lang.classfile.attribute with type arguments of type ClassEntry
Modifier and Type
Method
Description
`static ExceptionsAttribute`
ExceptionsAttribute.`of(List<ClassEntry> exceptions)`
Returns an `Exceptions` attribute.
`static InnerClassInfo`
InnerClassInfo.`of(ClassEntry innerClass, Optional<ClassEntry> outerClass, Optional<Utf8Entry> innerName, int flags)`
Returns a nested class description.
`static ModuleProvideInfo`
ModuleProvideInfo.`of(ClassEntry provides, List<ClassEntry> providesWith)`
Returns a service provision description.
`static NestMembersAttribute`
NestMembersAttribute.`of(List<ClassEntry> nestMembers)`
Returns a `NestMembers` attribute.
`static PermittedSubclassesAttribute`
PermittedSubclassesAttribute.`of(List<ClassEntry> permittedSubclasses)`
Returns a `PermittedSubclasses` attribute.

## Uses of ClassEntry in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return ClassEntry
Modifier and Type
Method
Description
`ClassEntry`
ConstantPoolBuilder.`classEntry(Utf8Entry ne)`
Returns a `ClassEntry` referring to the provided `Utf8Entry`.
`default ClassEntry`
ConstantPoolBuilder.`classEntry(ClassDesc classDesc)`
Returns a `ClassEntry` describing the same reference type as the provided `ClassDesc`.
`ClassEntry`
MemberRefEntry.`owner()`
Returns the class or interface which this member belongs to.
Methods in java.lang.classfile.constantpool with parameters of type ClassEntry
Modifier and Type
Method
Description
`FieldRefEntry`
ConstantPoolBuilder.`fieldRefEntry(ClassEntry owner, NameAndTypeEntry nameAndType)`
Returns a `FieldRefEntry` referring to a `ClassEntry` and a `NameAndTypeEntry`.
`InterfaceMethodRefEntry`
ConstantPoolBuilder.`interfaceMethodRefEntry(ClassEntry owner, NameAndTypeEntry nameAndType)`
Returns an `InterfaceMethodRefEntry` referring to a `ClassEntry` and a `NameAndTypeEntry`.
`MethodRefEntry`
ConstantPoolBuilder.`methodRefEntry(ClassEntry owner, NameAndTypeEntry nameAndType)`
Returns a `MethodRefEntry` referring to a `ClassEntry` and a `NameAndTypeEntry`.

## Uses of ClassEntry in java.lang.classfile.instruction

Methods in java.lang.classfile.instruction that return ClassEntry
Modifier and Type
Method
Description
`ClassEntry`
NewMultiArrayInstruction.`arrayType()`
Returns the type of the array.
`ClassEntry`
NewObjectInstruction.`className()`
Returns the type of object to create.
`ClassEntry`
NewReferenceArrayInstruction.`componentType()`
Returns the component type of the array.
`default ClassEntry`
FieldInstruction.`owner()`
Returns the class holding the field.
`default ClassEntry`
InvokeInstruction.`owner()`
Returns the class or interface holding the method.
`ClassEntry`
TypeCheckInstruction.`type()`
Returns the type against which the instruction checks.
Methods in java.lang.classfile.instruction that return types with arguments of type ClassEntry
Modifier and Type
Method
Description
`Optional<ClassEntry>`
ExceptionCatch.`catchType()`
Returns the type of the exception to catch, or empty if this handler catches everything.
Methods in java.lang.classfile.instruction with parameters of type ClassEntry
Modifier and Type
Method
Description
`static FieldInstruction`
FieldInstruction.`of(Opcode op, ClassEntry owner, NameAndTypeEntry nameAndType)`
Returns a field access instruction.
`static FieldInstruction`
FieldInstruction.`of(Opcode op, ClassEntry owner, Utf8Entry name, Utf8Entry type)`
Returns a field access instruction.
`static InvokeInstruction`
InvokeInstruction.`of(Opcode op, ClassEntry owner, NameAndTypeEntry nameAndType, boolean isInterface)`
Returns an invocation instruction.
`static InvokeInstruction`
InvokeInstruction.`of(Opcode op, ClassEntry owner, Utf8Entry name, Utf8Entry type, boolean isInterface)`
Returns an invocation instruction.
`static NewMultiArrayInstruction`
NewMultiArrayInstruction.`of(ClassEntry arrayTypeEntry, int dimensions)`
Returns a new multi-dimensional array instruction.
`static NewObjectInstruction`
NewObjectInstruction.`of(ClassEntry className)`
Returns a new object instruction.
`static NewReferenceArrayInstruction`
NewReferenceArrayInstruction.`of(ClassEntry componentType)`
Returns a new reference array instruction.
`static TypeCheckInstruction`
TypeCheckInstruction.`of(Opcode op, ClassEntry type)`
Returns a type check instruction.
Method parameters in java.lang.classfile.instruction with type arguments of type ClassEntry
Modifier and Type
Method
Description
`static ExceptionCatch`
ExceptionCatch.`of(Label handler, Label tryStart, Label tryEnd, Optional<ClassEntry> catchTypeEntry)`
Returns an exception table pseudo-instruction.